Subject: Re: Automatic code formatting

From: Junio C Hamano <[email-masked]>
Date: Sun, 10 Jul 2022 15:08:05 -0700

"brian m. carlson" <[email-masked]> writes:

> I should point out that most platforms (and all major platforms) have
> clang and therefore I think clang-format should be a fine choice.  It's
> highly configurable and will let us pick a style that most resembles the
> one we have now. However, I'm not picky and if we like something else
> better, great.  As long as the option we pick is shipped in Debian, I'm
> for it.

As long as the options in clang-format we choose to use would
reformat the current codebase without disrupting too much, I would
be happy to see this done.  It would probably need a bit of work but
hopefully clang-format is flexible enough to accomodate our style to
allow us do this.